<div class="container">
    <div class="flex-row layout-align-start-center">
        <mat-icon [routerLink]="['/category']">keyboard_arrow_left</mat-icon>
                <div class="backToList">Back to list</div>
        </div>
    <mat-card class="book-detail">
       <mat-card-header>
         <mat-card-title><strong>Category Details</strong></mat-card-title>
       </mat-card-header>
       <br />
       <img src="{{categoryData.imageUrl}}" defaultBookImage="" height="300" width="350" alt="book image">
       <mat-card-content>
          <div class="text-details">
             <div class="text-details-title">
                <strong>
                   <mat-label>Category Name</mat-label>
                </strong>
                <br/>
                <span>{{categoryData.categoryName}}</span>
             </div>
        </div>
             <br />
          <div class="book-list">
             <strong>
                <mat-label>Book List</mat-label>
             </strong>
             <br /><br />
                <div class="book-name">
                     <div *ngFor="let book of categoryData.idList;let index=index">
                            <mat-label>Book Name</mat-label>
                        <br />
                        <ul>
                            <li>{{sharedDatabaseService.booksPresentInCategory[categoryData.idList[index]]}}</li>
                        </ul>
                     </div>
               </div>
            </div>
          <br />
       </mat-card-content>
    </mat-card>
  </div>
